/*
 * Copyright (C) 2001 silas albrecht and dylan albrecht.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#ifndef __UI_H
#define __UI_H

#include <gtk/gtk.h>

/* menu.c */
void create_item_factory (GtkWidget *, GtkWidget *);
void pop_up_win (char *, char *);
void game_help();
void about_window();

/* input.c */
void track_keys (GtkWidget *, GdkEventKey *);
void release_keys (GtkWidget *, GdkEventKey *);
void handle_them_keys(gint, gint);
void load_cursor(GtkWidget *);
void handle_that_mouse();
void button_press_event (GtkWidget *widget, GdkEventButton *event);
	

#endif
